Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class PresentationContextAttributeRenderer<T extends PresentationContext>

    java.lang.Object
      com.bea.netuix.servlets.controls.AttributeRenderer
          com.bea.netuix.servlets.controls.PresentationContextAttributeRenderer<T>

Direct Known Subclasses:
  BodyAttributeRenderer

    public class PresentationContextAttributeRenderer<T extends PresentationContext>

extends AttributeRenderer

`PresentationContextAttributeRenderer` is an attribute renderer designed to render a presentation component's attributes.

See Also
  `PresentationContext.getAttributeRenderer()`

Method Summary
`String` | `getDefaultPresentationClass()` Returns the default for the "presentationClass" attribute.
`String` | `getDefaultPresentationId()` Returns the default for the "presentationId" attribute.
`String` | `getDefaultPresentationStyle()` Returns the default for the "presentationStyle" attribute.
`void` | `render(Writer out)` Renders the attributes of the related component using the specified `Writer`.
`void` | `setDefaultPresentationClass(String defaultPresentationClass)` Sets the default for the "presentationClass" attribute.
`void` | `setDefaultPresentationId(String defaultPresentationId)` Sets the default for the "presentationId" attribute.
`void` | `setDefaultPresentationStyle(String defaultPresentationStyle)` Sets the default for the "presentationStyle" attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultPresentationId

    public String getDefaultPresentationId()

  Returns the default for the "presentationId" attribute. This default will be used if an explicit "presentationId" attribute is not set on the related component.

### setDefaultPresentationId

    public void setDefaultPresentationId(String defaultPresentationId)

  Sets the default for the "presentationId" attribute. This default will be used if an explicit "presentationId" attribute is not set on the related component.

### getDefaultPresentationClass

    public String getDefaultPresentationClass()

  Returns the default for the "presentationClass" attribute. This default will be used if an explicit "presentationClass" attribute is not set on the related component.

### setDefaultPresentationClass

    public void setDefaultPresentationClass(String defaultPresentationClass)

  Sets the default for the "presentationClass" attribute. This default will be used if an explicit "presentationClass" attribute is not set on the related component.

### getDefaultPresentationStyle

    public String getDefaultPresentationStyle()

  Returns the default for the "presentationStyle" attribute. This default will be used if an explicit "presentationStyle" attribute is not set on the related component.

### setDefaultPresentationStyle

    public void setDefaultPresentationStyle(String defaultPresentationStyle)

  Sets the default for the "presentationStyle" attribute. This default will be used if an explicit "presentationStyle" attribute is not set on the related component.

### render

    public void render(Writer out)
                throws IOException

  Description copied from class: `AttributeRenderer`
  Renders the attributes of the related component using the specified `Writer`.

  Specified by:
    `render` in class `AttributeRenderer`
  Parameters
    `out` - Writer to which component attributes are rendered
  Throws
    `IOException` - If an I/O error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved